﻿using System.Windows.Forms;

using DevExpress.XtraBars;
using DevExpress.XtraBars.Ribbon;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : RibbonForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            BarButtonItem backwardItem = this.ribbonControl.Items.CreateButton("뒤로 가기");

            backwardItem.Alignment  = BarItemLinkAlignment.Right;
            backwardItem.ImageIndex = 0;

            BarButtonItem forwardItem = this.ribbonControl.Items.CreateButton("앞으로 가기");

            forwardItem.Alignment  = BarItemLinkAlignment.Right;
            forwardItem.ImageIndex = 1;

            this.ribbonControl.PageHeaderItemLinks.AddRange(new BarItem[] { backwardItem, forwardItem});

            backwardItem.ItemClick += backwardItem_ItemClick;
            forwardItem.ItemClick  += forwardItem_ItemClick;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 뒤로 가기 항목 클릭시 처리하기 - backwardItem_ItemClick(sender, e)

        /// <summary>
        /// 뒤로 가기 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void backwardItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            XtraMessageBox.Show
            (
                this,
                "뒤로 가기 항목을 클릭했습니다.",
                "INFORMATION",
                MessageBoxButtons.OK,
                MessageBoxIcon.Information
            );
        }

        #endregion
        #region 앞으로 가기 항목 클릭시 처리하기 - forwardItem_ItemClick(sender, e)

        /// <summary>
        /// 앞으로로 가기 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void forwardItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            XtraMessageBox.Show
            (
                this,
                "앞으로 가기 항목을 클릭했습니다.",
                "INFORMATION",
                MessageBoxButtons.OK,
                MessageBoxIcon.Information
            );
        }

        #endregion
    }
}